GSM Namespace Reference

## Enumerations

enum | AMRMode { TCH_AFS12_2 , TCH_AFS10_2 , TCH_AFS7_95 , TCH_AFS7_4 , TCH_AFS6_7 , TCH_AFS5_9 , TCH_AFS5_15 , TCH_AFS4_75 , TCH_FS }

## Variables

const unsigned int | gAMRBitOrderTCH_AFS12_2 [244]
const unsigned int | gAMRBitOrderTCH_AFS10_2 [204]
const unsigned int | gAMRBitOrderTCH_AFS7_95 [159]
const unsigned int | gAMRBitOrderTCH_AFS7_4 [148]
const unsigned int | gAMRBitOrderTCH_AFS6_7 [134]
const unsigned int | gAMRBitOrderTCH_AFS5_9 [118]
const unsigned int | gAMRBitOrderTCH_AFS5_15 [103]
const unsigned int | gAMRBitOrderTCH_AFS4_75 [95]
const unsigned int | gAMRPuncturedTCH_AFS12_2 [60]
const unsigned int | gAMRPuncturedTCH_AFS10_2 [194]
const unsigned int | gAMRPuncturedTCH_AFS7_95 [65]
const unsigned int | gAMRPuncturedTCH_AFS7_4 [26]
const unsigned int | gAMRPuncturedTCH_AFS6_7 [128]
const unsigned int | gAMRPuncturedTCH_AFS5_9 [72]
const unsigned int | gAMRPuncturedTCH_AFS5_15 [117]
const unsigned int | gAMRPuncturedTCH_AFS4_75 [87]
const unsigned * | gAMRBitOrder [8]
const unsigned | gAMRKd [9]
const unsigned | gAMRClass1ALth [8]
const unsigned | gAMRTCHUCLth [8]
const unsigned | gAMRPunctureLth [8]
const unsigned * | gAMRPuncture [8]
unsigned int | g610BitOrder [260]
unsigned int | g660BitOrder [260]

## Enumeration Type Documentation

## AMRMode

enum GSM::AMRMode

Enumerator
TCH_AFS12_2 |
TCH_AFS10_2 |
TCH_AFS7_95 |
TCH_AFS7_4 |
TCH_AFS6_7 |
TCH_AFS5_9 |
TCH_AFS5_15 |
TCH_AFS4_75 |
TCH_FS |

## Variable Documentation

## g610BitOrder

unsigned int GSM::g610BitOrder[260]

extern

Table #2 from GSM 05.03

## g660BitOrder

unsigned int GSM::g660BitOrder[260]

extern

Table #6 from GSM 05.03

## gAMRBitOrder

const unsigned* GSM::gAMRBitOrder[8]

extern

## gAMRBitOrderTCH_AFS10_2

const unsigned int GSM::gAMRBitOrderTCH_AFS10_2[204]

extern

## gAMRBitOrderTCH_AFS12_2

const unsigned int GSM::gAMRBitOrderTCH_AFS12_2[244]

extern

Tables #7-14 from GSM 05.03

## gAMRBitOrderTCH_AFS4_75

const unsigned int GSM::gAMRBitOrderTCH_AFS4_75[95]

extern

## gAMRBitOrderTCH_AFS5_15

const unsigned int GSM::gAMRBitOrderTCH_AFS5_15[103]

extern

## gAMRBitOrderTCH_AFS5_9

const unsigned int GSM::gAMRBitOrderTCH_AFS5_9[118]

extern

## gAMRBitOrderTCH_AFS6_7

const unsigned int GSM::gAMRBitOrderTCH_AFS6_7[134]

extern

## gAMRBitOrderTCH_AFS7_4

const unsigned int GSM::gAMRBitOrderTCH_AFS7_4[148]

extern

## gAMRBitOrderTCH_AFS7_95

const unsigned int GSM::gAMRBitOrderTCH_AFS7_95[159]

extern

## gAMRClass1ALth

const unsigned GSM::gAMRClass1ALth[8]

extern

## gAMRKd

const unsigned GSM::gAMRKd[9]

extern

## gAMRPuncture

const unsigned* GSM::gAMRPuncture[8]

extern

## gAMRPuncturedTCH_AFS10_2

const unsigned int GSM::gAMRPuncturedTCH_AFS10_2[194]

extern

## gAMRPuncturedTCH_AFS12_2

const unsigned int GSM::gAMRPuncturedTCH_AFS12_2[60]

extern

GSM 05.03 3.9.4.4

## gAMRPuncturedTCH_AFS4_75

const unsigned int GSM::gAMRPuncturedTCH_AFS4_75[87]

extern

## gAMRPuncturedTCH_AFS5_15

const unsigned int GSM::gAMRPuncturedTCH_AFS5_15[117]

extern

## gAMRPuncturedTCH_AFS5_9

const unsigned int GSM::gAMRPuncturedTCH_AFS5_9[72]

extern

## gAMRPuncturedTCH_AFS6_7

const unsigned int GSM::gAMRPuncturedTCH_AFS6_7[128]

extern

## gAMRPuncturedTCH_AFS7_4

const unsigned int GSM::gAMRPuncturedTCH_AFS7_4[26]

extern

## gAMRPuncturedTCH_AFS7_95

const unsigned int GSM::gAMRPuncturedTCH_AFS7_95[65]

extern

## gAMRPunctureLth

const unsigned GSM::gAMRPunctureLth[8]

extern

## gAMRTCHUCLth

const unsigned GSM::gAMRTCHUCLth[8]

extern